Bullet Collision Detection & Physics Library: btDiscreteDynamicsWorld.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions | Variables
btDiscreteDynamicsWorld.cpp File Reference
`#include "btDiscreteDynamicsWorld.h"`
`#include "BulletCollision/CollisionDispatch/btCollisionDispatcher.h"`
`#include "BulletCollision/BroadphaseCollision/btSimpleBroadphase.h"`
`#include "BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h"`
`#include "BulletCollision/CollisionShapes/btCollisionShape.h"`
`#include "BulletCollision/CollisionDispatch/btSimulationIslandManager.h"`
`#include "LinearMath/btTransformUtil.h"`
`#include "LinearMath/btQuickprof.h"`
`#include "BulletDynamics/Dynamics/btRigidBody.h"`
`#include "BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.h"`
`#include "BulletDynamics/ConstraintSolver/btContactSolverInfo.h"`
`#include "BulletDynamics/ConstraintSolver/btTypedConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btPoint2PointConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btHingeConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btConeTwistConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btGeneric6DofConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btGeneric6DofSpring2Constraint.h"`
`#include "BulletDynamics/ConstraintSolver/btSliderConstraint.h"`
`#include "BulletDynamics/ConstraintSolver/btContactConstraint.h"`
`#include "LinearMath/btIDebugDraw.h"`
`#include "BulletCollision/CollisionShapes/btSphereShape.h"`
`#include "BulletDynamics/Dynamics/btActionInterface.h"`
`#include "LinearMath/btMotionState.h"`
`#include "LinearMath/btSerializer.h"`
Include dependency graph for btDiscreteDynamicsWorld.cpp:

Go to the source code of this file.

## Classes
class | btSortConstraintOnIslandPredicate
struct | InplaceSolverIslandCallback
class | btClosestNotMeConvexResultCallback

## Functions
int | btGetConstraintIslandId (const btTypedConstraint *lhs)

## Variables
int | gNumClampedCcdMotions = 0
| internal debugging variable. this value shouldn't be too high

## Function Documentation

## ◆ btGetConstraintIslandId()

int btGetConstraintIslandId | ( | const btTypedConstraint * | lhs | ) |
| inline

Definition at line 56 of file btDiscreteDynamicsWorld.cpp.

## Variable Documentation

## ◆ gNumClampedCcdMotions

int gNumClampedCcdMotions = 0

internal debugging variable. this value shouldn't be too high

Definition at line 847 of file btDiscreteDynamicsWorld.cpp.